spring.application.name=microservice-product
server.port= 8081

#h2
spring.datasource.url=jdbc:h2:mem:elkDB
spring.datasource.driver-class-name=org.h2.Driver
spring.datasource.username=sa
spring.datasource.password=
spring.jpa.database-platform=org.hibernate.dialect.H2Dialect
spring.h2.console.enabled=true

#mysql

#spring.datasource.url=jdbc:mysql://localhost:3306/elk_microservice
#spring.datasource.driverClassName=com.mysql.jdbc.Driver
#spring.datasource.username=root
#spring.datasource.password=hoa123456
#spring.jpa.database-platform=org.hibernate.dialect.MySQL5Dialect


spring.jpa.properties.hibernate.format_sql=true
spring.jpa.show-sql=true
spring.jpa.generate-ddl=true
spring.jpa.hibernate.ddl-auto=create-drop



#Create initialize data
data.init.product.path = data/DataInitializeProduct.json
data.init.user.path = data/DataInitializeUser.json
data.init.order.path = data/DataInitializeOrder.json



#eureka
eureka.client.serviceUrl.defaultZone: http://localhost:9102/eureka/


#prometheus
management.endpoint.metrics.enabled=true
management.endpoints.web.exposure.include=*
management.endpoint.prometheus.enabled=true
management.metrics.export.prometheus.enabled=true